cascading.pipe.joiner

## Class BaseJoiner

- java.lang.Object
- - cascading.pipe.joiner.BaseJoiner

- All Implemented Interfaces:
    DeclaresResults, Joiner, java.io.Serializable
  Direct Known Subclasses:
    BufferJoin, InnerJoin, LeftJoin, MixedJoin, OuterJoin, RightJoin

      public abstract class BaseJoiner
      extends java.lang.Object
      implements Joiner, DeclaresResults

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `BaseJoiner()`
    `BaseJoiner(Fields fieldDeclaration)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Fields` | `getFieldDeclaration()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface cascading.pipe.joiner.Joiner

      `getIterator, numJoins`

- - ### Constructor Detail

    - #### BaseJoiner

          public BaseJoiner()

    - #### BaseJoiner

          public BaseJoiner(Fields fieldDeclaration)

  - ### Method Detail

    - #### getFieldDeclaration

          public Fields getFieldDeclaration()

      Specified by:
        `getFieldDeclaration` in interface `DeclaresResults`

Copyright © 2007-2015 Xplenty, Inc. All Rights Reserved.